CVE-2009-2837

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Heap-based buffer overflow in QuickDraw Manager in Apple Mac OS X before 10.6.2 allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via a crafted PICT image.

References

http://lists.apple.com/archives/security-announce/2009/Nov/msg00000.html

http://lists.apple.com/archives/security-announce/2010//Mar/msg00002.html

http://support.apple.com/kb/HT3937

http://www.securityfocus.com/bid/36956

http://www.vupen.com/english/advisories/2009/3184

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6707

Details

Source: MITRE

Published: 2009-11-10

Updated: 2017-09-19

Type: CWE-119

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

Tenable Plugins

View all (7 total)

IDNameProductFamilySeverity
45388QuickTime < 7.6.6 Multiple Vulnerabilities (Windows)NessusWindows
high
800795Mac OS X 10.6 < 10.6.2 Multiple VulnerabilitiesLog Correlation EngineOperating System Detection
high
5227Mac OS X 10.6 < 10.6.2 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
42434Mac OS X 10.6.x < 10.6.2 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
42433Mac OS X Multiple Vulnerabilities (Security Update 2009-006)NessusMacOS X Local Security Checks
critical
801207QuickTime < 7.6.6 Multiple VulnerabilitiesLog Correlation EngineWeb Clients
high
5492QuickTime < 7.6.6 Multiple VulnerabilitiesNessus Network MonitorWeb Clients
critical